<?PHP
;------------------------------------------------------------------------------
; ALLGEMEINE HINWEISE
;
; Diese Datei enthält Passwörter und andere wichtige Daten, die für die Nutzung
; von Pixtacy benötigt werden. Bitte lesen Sie die jeweiligen Hinweise sorg-
; fältig durch, bevor Sie Änderungen an einem der Werte vornehmen.
;
; WICHTIG: Geändert werden dürfen ausschliesslich die Einträge auf der rechten
;          Seite des Gleichheitszeichens.
;
; Diese Datei muss sich im Unterverzeichnis "config" befinden und mit 
; Zugriffsrechten versehen sein, die jedem Benutzer einen Lesezugriff erlauben.
; Schreibzugriffe sollten dagegen ausschließlich dem Eigentümer möglich sein.
;
; Da diese Datei die Endung ".php" trägt, ist ein Auslesen des Inhalts mittels
; Webbrowser (HTTP-Zugriff) nicht möglich. Der Server würde den Inhalt lediglich
; als Skript interpretieren und das (leere) Ergebnis zurückliefern. 



;------------------------------------------------------------------------------
; MASTER-PASSWORT
;
; Hiermit legen Sie das Passwort fest, mit dem man sich bei Pixtacy als 
; "master"-Benutzer anmelden kann. Das Passwort sollte mindestens 8 Zeichen 
; lang sein und sowohl Buchstaben als auch Ziffern und Satzzeichen enthalten.
; Vermeiden Sie dagegen Umlaute und fremdsprachige Sonderzeichen.

masterPassword = demo


;------------------------------------------------------------------------------
; MYSQL-KONFIGURATION
;
; In diesem Abschnitt werden die Angaben festgehalten, die Pixtacy für die
; Kommunikation mit der mySQL-Datenbank benötigt. Sie erhalten diese Angaben
; üblicherweise von Ihrem Provider bzw. Ihrem Systemverwalter.
;
; mysqlServer: Adresse des mySQL-Servers (Host), mit dem Pixtacy arbeiten soll. 
; mysqlDatabase: Name der Datenbank, mit der Pixtacy arbeiten soll.
; mysqlUser: Benutzerkennung, unter der sich Pixtacy am mySQL-Server anmelden soll.
; mysqlPassword: Passwort, mit dem sich Pixtacy am mySQL-Server anmelden soll.
;
; Mit dem mySQLTablePrefix haben Sie die Möglichkeit, mehrere unabhängige 
; Pixtacy-Umgebungen einzurichten, auch wenn Ihnen nur eine einzige mySQL-
; Datenbank zur Verfügung steht. Weisen Sie einfach jeder Pixtacy-Umgebung
; ein anderes Prefix zu (z.B. vt2a_, vt2b_ usw.).

mysqlServer = localhost
mysqlDatabase = 
mysqlUser = 
mysqlPassword = 
mysqlTablePrefix = pxtc_


;------------------------------------------------------------------------------
; URL-ERZEUGUNG
;
; Mit den folgenden Parametern lässt sich das Aussehen der URLs steuern, die
; Pixtacy erzeugt. Diese Parameter sollten nur von erfahrenen Benutzern ver-
; ändert werden. Beachten Sie: Eine Veränderung kann dazu führen, dass die
; Hyperlinks, die Pixtacy erzeugt, nur noch dann funktionieren, wenn in der
; .htaccess-Datei bestimmte Rewrite-Direktiven vorhanden sind.

;URLScriptName = index.php
;URLSuffix = .html
;URLOmitSeparator = 1
;URLOmitScriptName = 1
;URLOmitLanguage = 1


;------------------------------------------------------------------------------
; E-MAIL-VERSAND
;
; Normalerweise nutzt Virthos den internen Mailserver, der auf den
; meisten Webservern zur Verfügung steht. Dieser ermöglicht in den
; meisten Fällen einen reibungslosen E-Mail-Versand, ohne dass Sie viel
; konfigurieren müssen. Sie können Pixtacy aber auch so konfigurieren,
; dass der E-Mail-Versand über einen externen Mailserver (SMTP-Server)
; erfolgt. Dazu müssen Sie die folgenden Werte setzen:
;
; mailMethod: Versandmethode (stets "smtp")
; mailSmtpServer: Adresse des Mailservers, z. B. smtp.mein-mailprovider.de
; mailSmtpPort: Portnummer des Mailservers, in der Regel 25 oder 587
; mailSmtpUser: Benutzername zur Anmeldung am Mailserver
; mailSmtpPassword: Passwort zur Anmeldung am Mailserver
; mailSmtpSecure: mögliche Werte: "ssl" oder "tls" oder leer
;
; Die genauen Angaben müssten Sie bei Ihrem E-Mail-Provider erfragen. Es
; sind letztlich dieselben Einstellungen, die Sie auch in Outlook oder
; anderen E-Mail-Programmen hinterlegen müssen, um Nachrichten zu versenden.

;mailMethod = smtp
;mailSmtpServer = 
;mailSmtpPort = 
;mailSmtpUser = 
;mailSmtpPassword = 
;mailSmtpSecure = 


;------------------------------------------------------------------------------
; MEHRFACH-ANMELDUNG VON BENUTZERN
;
; Im Normalfall sind Benutzernamen nicht-exklusiv, das heißt, es können sich
; mehrere Anwender gleichzeitig mit demselben Benutzernamen bei Pixtacy anmelden.
; Wird der folgende Eintrag auskommentiert, verbietet Pixtacy eine solche
; Mehrfach-Anmeldung von Benutzern.

;refuseMultiLogin = 1


;------------------------------------------------------------------------------
; SYSTEMSPRACHE
;
; Hiermit legen Sie die Sprache fest, in der die Pixtacy-Oberfläche dargestellt
; wird. Sie können jedes Sprachkürzel verwenden, für das im Verzeichnis
; system/languages eine entsprechende Sprachdatei vorhanden ist. Zum Liefer-
; umfang von Pixtacy gehören die Sprachen Deutsch (de) und Englisch (en).

systemLanguage = de


;------------------------------------------------------------------------------
; SYSTEMVERZEICHNISSE
;
; Die folgenden Einträge sollten nur von erfahrenen Benutzern verändert werden.
; Sie sind für Fälle gedacht, in denen man aufgrund von Serverbeschränkungen 
; die Standard-Verzeichnisstruktur von Pixtacy verändern muss.
;
; Bei den "pathTo"-Angaben müssen absolute Pfadangaben, ausgehend vom Root-
; verzeichnis des Dateisystems, eingetragen werden, z. B. 
; "/Library/Apache2/htdocs/". Die Angaben müssen mit einem Schrägstrich enden.
;
; Bei den "baseURL"-Angaben müssen URLs, beginnend mit "http://", eingetragen 
; werden. Auch diese müssen mit einem Schrägstrich enden. Beispiel: 
; "http://firma.de/ressources/".

;pathToVirthos = 
;pathToData = 
;pathToMedia = 
;pathToFiles = 
;pathToTemplates = 
;pathToCache =
;pathToLog =

;baseURL = 
;baseURLResources = 
;baseURLData = 
;baseURLMedia = 
;baseURLFiles = 
;baseURLTemplates = 


;------------------------------------------------------------------------------
; ENDE
;------------------------------------------------------------------------------

?>
