function vtlink( method ){
	var url = $('meta[name=x-base-url]').attr('content');
	if ( arguments[1] ){
		url = url.replace( /-pg=[0-9]+/, '-pg=' + arguments[1] );
	}
	return url.replace( /-met=x/, '-met=' + method );
}

function my_dialog( message ){
	// Usage: my_dialog( message [, defaultAnswer] [, allowCancel] [, callback] )
	var callback, allowCancel, defaultAnswer, args = Array.from( arguments );
	args.shift();
	args.forEach( function( arg ){
		switch ( typeof arg ){
			case 'function': callback = arg; break;
 			case 'boolean': allowCancel = arg; break;
			case 'string':	defaultAnswer = arg;
		}
	});
	var dialog = $('#my-dialog');
	if ( ! dialog.length ){
		var html = 
			'<div class="modal fade" id="my-dialog" role="dialog">' +
				'<div class="modal-dialog" role="document">' +
					'<div class="modal-content">' +
						'<div class="modal-body">' +
							'<p class="dlg-message"></p>' +
							'<p class="dlg-prompt"><textarea class="form-control"></textarea></p>' +
						'</div>' +
						'<div class="modal-footer">' +
							'<button type="button" class="dlg-btn-cancel btn btn-outline-secondary mr-3" data-dismiss="modal">Abbrechen</button>' +
							'<button type="button" class="dlg-btn-confirm btn btn-primary px-4" data-dismiss="modal">OK</button>' +
						'</div>' +
					'</div>' +
				'</div>' +
			'</div>';
		$('body').append( html );
		dialog = $('#my-dialog');
	}
	if ( $('html').attr('lang') == 'en' ){
		dialog.find('.dlg-btn-cancel').text('Cancel');
	}
	dialog.find('.dlg-message').text( message );
	dialog.find('.dlg-btn-cancel').toggle( allowCancel );
	dialog.find('.dlg-prompt').toggle( defaultAnswer != null )
		.find('textarea').text( defaultAnswer );
	if ( callback ){
		dialog.find('.dlg-btn-confirm').click( function(){
			callback( dialog.find('textarea').text() ); 
		});
	}
	else {
		dialog.find('.dlg-btn-ok').off('click');
	}
	dialog.on( 'shown.bs.modal', function(){
		dialog.find('textarea').focus().select();
	});
	dialog.modal( { backdrop: 'static' } );
	return false;
}

function go_to_portion( portion ){
	var count = $('.pagination').data('count');
	var link = $('.pagination').data('link');
	if ( ! count || ! link ){
		return;
	}
	portion = portion > 0 && portion <= count ? portion : count;
	window.location.href = link.replace( '-prt=0', '-prt=' + Math.min( portion, count ) );
}

function handle_kcd_48(){ go_to_portion( 0 ); }
function handle_kcd_49(){ go_to_portion( 1 ); }
function handle_kcd_50(){ go_to_portion( 2 ); }
function handle_kcd_51(){ go_to_portion( 3 ); }
function handle_kcd_52(){ go_to_portion( 4 ); }
function handle_kcd_53(){ go_to_portion( 5 ); }
function handle_kcd_54(){ go_to_portion( 6 ); }
function handle_kcd_55(){ go_to_portion( 7 ); }
function handle_kcd_56(){ go_to_portion( 8 ); }
function handle_kcd_57(){ go_to_portion( 9 ); }
function handle_kcd_70(){ $('#searchfield').focus(); }

$(document).ready( function(){
	$( document ).keydown( function( evt ){
		if ( evt.altKey || evt.ctrlKey || evt.shiftKey || evt.modifiers 
			|| $('body').hasClass('lg-on') )
		{
				return;
		}

		var kcd = evt.which;
		var currentElement = evt.target.nodeType == 3 ? evt.target.parentNode : evt.target;

		if ( [ 'INPUT', 'TEXTAREA' ].indexOf( currentElement.tagName ) >= 0 ){
			if ( kcd == 27 ){ // escape key
				currentElement.blur();
			}
			return;
		}

		if ( $('body').hasClass('modal-open') ){
			if ( kcd == 27 ){ // escape key
				$('.modal:visible').last().modal('hide');
			}
			else if ( kcd == 13 ){ // return key
				$('.modal:visible').last().find('.dlg-btn-confirm').click();
			}
			return;
		}

		if ( typeof( window[ 'handle_kcd_' + kcd ] ) === 'function' ){
			window[ 'handle_kcd_' + kcd ]();
			return false;
		}

		var element = $( '.kcd-' + kcd );

		if ( ! element.length ){
			return;
		}

		if ( element.data('href') ){
			if ( element.data('load') && $('#load-page').length ){
				$('#load-page').modal('show').find('span').text( element.data('load') );
				window.setTimeout( location.href = element.data('href'), 300 );
			}
			else {
				location.href = element.data('href');
			}
		}
		else {
			element[0].click();
		}

		return false;
	})
	
	$('body').on( 'click', 'a[href][data-confirm], button[data-href][data-confirm], input[type=button][data-href][data-confirm]', function(){
		var url = $(this).attr('href') ? $(this).attr('href') : $(this).attr('data-href');
		var target = $(this).attr('target') == '_top' ? top : self;
		if ( $(this).data('confirm') == '' ){
			target.location.href = url;
			return false;
		}
		my_dialog( $(this).data('confirm'), true, function(){
			target.location.href = url;
		})
		return false;
	});
});

